"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const common_vendor = require("./common/vendor.js");
require("./common/libraries/request.js");
const common_store_useWeAppAuthStore = require("./common/store/useWeAppAuthStore.js");
require("./common/store/useWorkStore.js");
const common_libraries_updateManager = require("./common/libraries/updateManager.js");
require("./gen/Apis.js");
require("./common/libraries/setTabBar.js");
require("./common/libraries/apiLoading.js");
if (!Math) {
  "./pages/index/index.js";
  "./pages/login.js";
  "./pages/transfer/index.js";
  "./pages/forward/index.js";
  "./pages/me/index.js";
  "./pages/ai/chat.js";
  "./pages/web_view/index.js";
  "./WORKORDER/list/index.js";
  "./WORKORDER/add/index.js";
  "./WORKORDER/show/index.js";
  "./WORKORDER/acceptance/index.js";
  "./WORKORDER/pay/index.js";
  "./WORKORDER/update_work_time/index.js";
  "./WORKORDER/update_work_rework/index.js";
  "./ME/feedback/index.js";
  "./ME/activities_show/index.js";
  "./ME/activities_list/index.js";
  "./ME/wallet/index.js";
  "./ME/recharge/index.js";
  "./ME/recharge_record/index.js";
  "./ME/advance_payment_house/index.js";
  "./ME/me_invoice/list/index.js";
  "./ME/me_invoice/add/index.js";
  "./ME/vehicle_management/list/index.js";
  "./ME/vehicle_management/add/index.js";
  "./ME/issue_invoice/index.js";
  "./ME/payment_pre_stored/index.js";
  "./ME/pre_stored_form/index.js";
  "./ME/user_evaluate/index.js";
  "./ME/income_expenditure/index.js";
  "./ME/parking_fee/index.js";
  "./ME/work_order_home/index.js";
  "./ME/pass/index.js";
  "./ME/release_items/list/index.js";
  "./ME/release_items/add/index.js";
  "./ME/release_items/show/index.js";
  "./INDEX/binding/index.js";
  "./INDEX/binding/success.js";
  "./INDEX/owner_audit_list/index.js";
  "./INDEX/message_center/index/index.js";
  "./INDEX/message_center/list/index.js";
  "./INDEX/message_center/show/index.js";
  "./INDEX/bill/list/index.js";
  "./INDEX/bill/show/index.js";
  "./INDEX/bill_order/index.js";
  "./INDEX/pay/index.js";
  "./INDEX/pay/success.js";
  "./INDEX/collection/index.js";
  "./INDEX/collection/confirm.js";
  "./INDEX/asset_houses/index.js";
  "./INDEX/archive_houses/index.js";
  "./INDEX/me/index.js";
  "./INDEX/activities_show/index.js";
  "./INDEX/parking_payment/index.js";
  "./INDEX/open_door/index.js";
  "./INDEX/invitation/index.js";
  "./INDEX/parking_payment_record/index.js";
  "./INDEX/visitor_applies/add/index.js";
  "./INDEX/visitor_applies/list/index.js";
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "App",
  setup(__props) {
    const auth = common_store_useWeAppAuthStore.useWeAppAuthStore();
    common_vendor.onLaunch(async () => {
      const app = common_vendor.getCurrentInstance();
      await auth.login(app);
      console.log("App Launch");
      common_libraries_updateManager.CheckUpdate();
    });
    common_vendor.onShow(() => {
    });
    common_vendor.onHide(() => {
      console.log("App Hide");
    });
    return () => {
    };
  }
});
const App = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/App.vue"]]);
function createApp() {
  const app = common_vendor.createSSRApp(App);
  app.use(common_vendor.uviewPlus);
  app.config.globalProperties.$onLaunched = new Promise((resolve) => {
    app.config.globalProperties.$isResolve = resolve;
  });
  app.use(common_vendor.createPinia());
  return {
    app,
    Pinia: common_vendor.Pinia
  };
}
createApp().app.mount("#app");
exports.createApp = createApp;
